package com.njcn.pojo.commons.device;

import java.io.Serializable;


public class DeviceDetail implements Serializable {
    private Long devIndex;//终端id

    public Long getDevIndex() {
        return devIndex;
    }

    public void setDevIndex(Long devIndex) {
        this.devIndex = devIndex;
    }

    private String name;// 终端名称
    private String pointName;
    private Long gdName;//供电公司id
    private String gdNa;//供电公司名称

    public String getGdNa() {
        return gdNa;
    }

    public void setGdNa(String gdNa) {
        this.gdNa = gdNa;
    }

    private String subName;//变电站名称
    private String Scale;// 电压等级
    private String lineName;//监测点名称

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    private String time;//投运时间
    private String area;//区域
    private String Manufacturer;// 厂家名称
    private String DevType;// 终端型号
    private Long IP1;// IP1
    private Long IP2;// IP2
    private Long IP3;// IP3
    private Long IP4;// IP4
    private String IP;// IP地址
    private Long yAxis;//统计
    private Long dataPlan;//流量套餐
    private Long newTraffic;//新增流量套餐

    private String devLocation;
    private String devNo;

    private String lineStatus;

    public String getDevLocation() {
        return devLocation;
    }

    public void setDevLocation(String devLocation) {
        this.devLocation = devLocation;
    }

    public String getDevNo() {
        return devNo;
    }

    public void setDevNo(String devNo) {
        this.devNo = devNo;
    }

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName;
    }

    public Long getDataPlan() {
        return dataPlan;
    }

    public void setDataPlan(Long dataPlan) {
        this.dataPlan = dataPlan;
    }

    public Long getNewTraffic() {
        return newTraffic;
    }

    public void setNewTraffic(Long newTraffic) {
        this.newTraffic = newTraffic;
    }

    public Long getyAxis() {
        return yAxis;
    }

    public void setyAxis(Long yAxis) {
        this.yAxis = yAxis;
    }

    private Long portid;//端口

    public String getNodeIndex() {
        return nodeIndex;
    }

    public void setNodeIndex(String nodeIndex) {
        this.nodeIndex = nodeIndex;
    }

    private String nodeIndex;

    public Long getPortid() {
        return portid;
    }

    public void setPortid(Long portid) {
        this.portid = portid;
    }

    private String devflag;//终端状态
    private String status;// 终端通讯状态
    private String updatetime;//最新数据
    private String evaluate;//终端评价

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getGdName() {
        return gdName;
    }

    public void setGdName(Long gdName) {
        this.gdName = gdName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getScale() {
        return Scale;
    }

    public void setScale(String scale) {
        Scale = scale;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getManufacturer() {
        return Manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        Manufacturer = manufacturer;
    }

    public String getDevType() {
        return DevType;
    }

    public void setDevType(String devType) {
        DevType = devType;
    }

    public Long getIP1() {
        return IP1;
    }

    public void setIP1(Long iP1) {
        IP1 = iP1;
    }

    public Long getIP2() {
        return IP2;
    }

    public void setIP2(Long iP2) {
        IP2 = iP2;
    }

    public Long getIP3() {
        return IP3;
    }

    public void setIP3(Long iP3) {
        IP3 = iP3;
    }

    public Long getIP4() {
        return IP4;
    }

    public void setIP4(Long iP4) {
        IP4 = iP4;
    }

    public String getIP() {
        return IP;
    }

    public void setIP(String iP) {
        IP = iP;
    }

    public String getDevflag() {
        return devflag;
    }

    public void setDevflag(String devflag) {
        this.devflag = devflag;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(String updatetime) {
        this.updatetime = updatetime;
    }

    public String getEvaluate() {
        return evaluate;
    }

    public void setEvaluate(String evaluate) {
        this.evaluate = evaluate;
    }

    public String getLineStatus() {
        return lineStatus;
    }

    public void setLineStatus(String lineStatus) {
        this.lineStatus = lineStatus;
    }
}